#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Disk Management Service
Summary(pl.UTF-8):	Usługa zarządzania dyskami
Name:		udisks2
Version:	2.1.1
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://udisks.freedesktop.org/releases/udisks-%{version}.tar.bz2
# Source0-md5:	80e03f312542b800cf3162254b202725
Patch0:		automake-1.12.patch
URL:		http://www.freedesktop.org/wiki/Software/udisks
BuildRequires:	acl-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.6.2
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	intltool
BuildRequires:	libatasmart-devel >= 0.17
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.100
BuildRequires:	systemd-devel >= 44
BuildRequires:	udev-glib-devel >= 1:165
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libatasmart >= 0.17
Requires:	systemd-units >= 38
Requires:	udev-core >= 1:147
Requires:	udev-glib >= 1:165
Suggests:	acl
Suggests:	cryptsetup-luks
Suggests:	dosfstools
Suggests:	e2fsprogs
Suggests:	gdisk
Suggests:	losetup
Suggests:	mount
Suggests:	nilfs-utils
Suggests:	ntfsprogs
Suggests:	parted
Suggests:	reiserfsprogs
Suggests:	util-linux
Suggests:	xfsprogs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
udisks provides a daemon, D-Bus API and command line tools for
managing disks and storage devices. This package is for the udisks 2.x
series.

%description -l pl.UTF-8
udisks dostarcza demona, API D-Bus oraz narzędzia linii poleceń do
zarządzania dyskami i innymi urządzeniami przechowującymi dane. Ten
pakiet jest przeznaczony dla udisks z serii 2.x.

%package libs
Summary:	udisks2 library
Summary(pl.UTF-8):	Biblioteka udisks2
License:	LGPL v2+
Group:		Libraries
Requires:	glib2 >= 1:2.32.0

%description libs
This package contains udisks2 library, which provides access to the
udisks daemon.

%description libs -l pl.UTF-8
Ten pakiet zawiera bibliotekę udisks2, umożliwiającą dostęp do demona
udisks.

%package devel
Summary:	Header files for udisks2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki udisks2
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.32.0

%description devel
Header files for udisks2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki udisks2.

%package static
Summary:	Static udisks2 library
Summary(pl.UTF-8):	Statyczna biblioteka udisks2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static udisks2 library.

%description static -l pl.UTF-8
Statyczna biblioteka udisks2.

%package apidocs
Summary:	udisks2 API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki udisks2
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API documentation for udisks2 library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki udisks2.

%package -n bash-completion-udisks2
Summary:	bash-completion for udisks2
Summary(pl.UTF-8):	Bashowe uzupełnianie parametrów dla udisks2
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2

%description -n bash-completion-udisks2
This package provides bash-completion for udisks2 (udisksctl command).

%description -n bash-completion-udisks2 -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie parametrów dla udisks2
(polecenia udisksctl).

%prep
%setup -q -n udisks-%{version}
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	%{__enable_disable static_libs static} \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir} \
	--with-systemdsystemunitdir=%{systemdunitdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS HACKING NEWS README
%attr(755,root,root) %{_bindir}/udisksctl
%dir %{_sysconfdir}/udisks2
%dir %{_prefix}/lib/udisks2
%attr(755,root,root) %{_prefix}/lib/udisks2/udisksd
%attr(755,root,root) %{_sbindir}/umount.udisks2
/etc/dbus-1/system.d/org.freedesktop.UDisks2.conf
%{systemdunitdir}/udisks2.service
/lib/udev/rules.d/80-udisks2.rules
%{_datadir}/dbus-1/system-services/org.freedesktop.UDisks2.service
%{_datadir}/polkit-1/actions/org.freedesktop.udisks2.policy
%{_mandir}/man1/udisksctl.1*
%{_mandir}/man8/udisks.8*
%{_mandir}/man8/udisksd.8*
%attr(700,root,root) %dir /var/lib/udisks2

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libudisks2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libudisks2.so.0
%{_libdir}/girepository-1.0/UDisks-2.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libudisks2.so
%{_datadir}/gir-1.0/UDisks-2.0.gir
%{_includedir}/udisks2
%{_pkgconfigdir}/udisks2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libudisks2.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/udisks2
%endif

%files -n bash-completion-udisks2
%defattr(644,root,root,755)
%{_datadir}/bash-completion/completions/udisksctl
%changelog
* Sun Sep 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/udisks2.git;a=log;h=master

* Sun Sep 29 2013 Jakub Bogusz <qboosh@pld-linux.org> aec8bf9
- updated to 2.1.1
- pl

* Wed Mar 20 2013 Łukasz Kieś <kiesiu@pld-linux.org> 674fc2e
- updated to 2.1.0 (stable API)

* Thu Jan 03 2013 Łukasz Kieś <kiesiu@pld-linux.org> aacce59
- updated to 2.0.1

* Mon Oct 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5e42ad8
- updated to 2.0.0
- patch1 fixed upstream

* Mon Oct 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8a277af
- obsoleted

* Mon Aug 13 2012 Jan Rękorajski <baggins@pld-linux.org> d37361b
- Fix fedora/systemd monoculture stupidity

* Mon Jul 30 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7b1dc45
- updated to 1.99.0

* Sun Jun 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 31292f1
- rel. 2

* Sun Jun 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> fbe7adf
- patch to build with automake >= 1.12.1

* Sun Jun 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> e683d15
- patch against automake-1.12.1 and obsoleted mkdir_p makro
- bump automake BR to 1.10 to make it build with included patch
- package /var/lib/udisks2 as a dir only

* Sun Jun 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 08d02af
- updated to 1.98.0

* Fri May 11 2012 Łukasz Kieś <kiesiu@pld-linux.org> 27b1c5c
- updated to 1.97.0

* Fri May 04 2012 Artur Frysiak <artur@frysiak.net> 5298413
- up to 1.96.0

* Fri May 04 2012 Szymon Siwek <sls@pld-linux.org> 8e7f6c2
- BR: polkit-devel >= 0.100

* Tue Apr 24 2012 Marcin Banasiak <marcin.banasiak@gmail.com> ab36c2a
- updated to 1.94.0

* Tue Apr 17 2012 Jan Rękorajski <baggins@pld-linux.org> 83e226f
- rel 2
- added systemd deps

* Sun Mar 11 2012 Marcin Banasiak <marcin.banasiak@gmail.com> aa20e8c
- new

